@media (orientation: Portrait), not (min-width: 720px) {
    :root{
        --I0-a_000-margin: 0px 10% 3vh 10%;
        --I0-a_000-border-radius: min(5vh, 5vw);
        --I0-a_000-width: 80%;
        --I0-a_000-height: max(15vh, calc(var(--I0-h1_000-font-size) * 5));

        --I0-div_000-height: max(8vh, calc(var(--I0-h1_000-font-size) * 2));        
        --I0-div_000-width: var(--I0-div_000-height);

        --I0-h1_000-font-size: min(3.5vh, 5vw);

        --I0-border-size: min(1.25vh, 1.25vw);
    }
}

@media (min-width: 720px) and (orientation: Landscape){
    :root{
        --I0-a_000-margin: 0px 7.5% 5vh 7.5%;
        --I0-a_000-border-radius: min(4vh, 4vw);
        --I0-a_000-width: 35%;
        --I0-a_000-height: max(30vh, calc(var(--I0-h1_000-font-size) * 3));

        --I0-div_000-height: max(15vh, calc(var(--I0-h1_000-font-size) * 2));  
        --I0-div_000-width: var(--I0-div_000-height);

        --I0-h1_000-font-size: min(calc(3vh + 5px), calc(2vw + 5px));

        --I0-border-size: min(1.5vh, 1.5vw);
    }
}

#I0-Menu {
    height: 100%;
}

.I0-a_000{
    position: relative;
    width: var(--I0-a_000-width);
    min-height: var(--I0-a_000-height);
    display: inline-block;
    margin: var(--I0-a_000-margin);
    border-radius: var(--I0-a_000-border-radius);
    border: var(--I0-border-size) solid #90b5b9;
    transition: background-color 0.25s;
    background-color: white;
}

.I0-div_000{
    position: absolute;
    top: calc(50% - var(--I0-div_000-height) / 2); 
    left: calc(0vh - var(--I0-div_000-width) / 2);
    transform: rotate(0turn);
    transition: transform 0.3s;
    outline: var(--I0-border-size) solid #90b5b9;
    border-radius: var(--I0-div_000-width);
}

.I0-div_000 img{
    width: var(--I0-div_000-width);
    border: var(--I0-border-size) solid #ffffff;
    border-radius: var(--I0-div_000-width);
    box-sizing:border-box;
    background-color: white;
}

.I0-div_001{
    position: relative;
    left: calc(var(--I0-div_000-width) / 2);
    width: calc(100% - var(--I0-div_000-width) / 2);
    height: var(--I0-a_000-height);
}

.I0-a_000:hover .I0-div_000{
    transform: rotate(0.075turn);
}

.I0-h1_000 {
    position: absolute;
    top: calc(50% - var(--I0-h1_000-font-size) / 2); 
    width: 100%;
    font-size: var(--I0-h1_000-font-size);
    text-align: center;
    font-family: "Montserrat-Bold";
    color: rgb(0, 0, 0);
    text-transform: uppercase;
}
